# Package org.apache.flume.auth

- Interface Summary
  Interface | Description
  --- | ---
  FlumeAuthenticator | FlumeAuthenticator extends on a PrivilegedExecutor providing capabilities to proxy as a different user
  PrivilegedExecutor | PrivilegedExecutor provides the ability to execute a PrivilegedAction or a PrivilegedExceptionAction.

- Class Summary
  Class | Description
  --- | ---
  FlumeAuthenticationUtil | FlumeAuthentication utility class that provides methods to get an Authenticator.
  KerberosUser | Simple Pair class used to define a unique (principal, keyTab) combination.

- Exception Summary
  Exception | Description
  --- | ---
  SecurityException | SecurityException thrown in the Flume security module

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.